{% extends "base_device.yaml.jinja2" %}

{% block device_setup %}
{%- set arch = "aarch64" %}
{%- set cpu = "cortex-a57" %}
{%- if settings.TARGET == "trs-qemuarm" %}
{%-   set arch = "arm" %}
{%-   set cpu = "cortex-a15" %}
{%- endif %}
device_type: qemu
job_name: {{ lava_job_name }}
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2
priority: 25
visibility: public
context:
  arch: {{ arch }}
  machine: virt,secure=on
  cpu: {{ cpu }}
  guestfs_interface: virtio
  netdevice: user
actions:
- deploy:
    timeout:
      minutes: 30
    to: tmpfs
    images:
      1rootfs:
        image_arg: -drive id=disk1,file={1rootfs},if=none,format=raw -device virtio-blk-device,drive=disk1
          -nographic -device i6300esb,id=watchdog0 -m 2048 -smp 1
        url: {{ os_url }}
        {%- set _, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
      2bios:
        image_arg: -drive if=pflash,unit=0,readonly=off,file={2bios},format=raw
        url: {{ firmware_url }}
        {%- set _, firmware_extension = splitext(firmware_url) %}
        compression: {{ firmware_extension[1:] }}
    os: oe

- deploy:
    to: downloads
    images:
      testexport:
        url: {{ testexport_url }}

- boot:
    method: qemu
    media: tmpfs
    docker:
      image: registry.gitlab.com/linaro/blueprints/qemu-swtpm
      binary: /usr/local/bin/qemu-system-{{ arch }}-swtpm
    expect_shell: false
    timeout:
      minutes: 30
    auto_login:
      login_prompt: 'login:'
      username: "root"
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
{% endblock %}
